This is a Laravel 5 package that provides setting management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `apm/setting`.

    "apm/setting": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Apm\Setting\Providers\SettingServiceProvider::class,

```

And also add it to alias

```php
'Setting'  => Apm\Setting\Facades\Setting::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Apm\Setting\Providers\SettingServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Apm\Setting\Providers\SettingServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Apm\Setting\Providers\SettingServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Apm\Setting\Providers\SettingServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Apm\Setting\Providers\SettingServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Apm\Setting\Providers\SettingServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


