<?php

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/setting/photo_settings', 'Apm\Setting\Http\Controllers\PhotoSettingsAdminController');
});

// User routes for photo_settings
Route::group(['prefix' => 'user'], function () {
    Route::resource('/setting/photo_settings', 'Apm\Setting\Http\Controllers\PhotoSettingsUserController');
});

// Public routes for photo_settings
Route::get('setting/photo_settings', 'Apm\Setting\Http\Controllers\PhotoSettingsPublicController@index');
Route::get('setting/photo_settings/{slug?}', 'Apm\Setting\Http\Controllers\PhotoSettingsPublicController@show');
